[arch-commits] Commit in tp_smapi/repos (10 files)

Tobias Powalowski tpowa at archlinux.org
Wed Nov 26 13:38:35 UTC 2014


    Date: Wednesday, November 26, 2014 @ 14:38:34
  Author: tpowa
Revision: 123138

db-move: moved tp_smapi from [community-testing] to [community] (i686, x86_64)

Added:
  tp_smapi/repos/community-i686/PKGBUILD
    (from rev 123133, tp_smapi/repos/community-testing-i686/PKGBUILD)
  tp_smapi/repos/community-i686/tp_smapi.install
    (from rev 123133, tp_smapi/repos/community-testing-i686/tp_smapi.install)
  tp_smapi/repos/community-x86_64/PKGBUILD
    (from rev 123133, tp_smapi/repos/community-testing-x86_64/PKGBUILD)
  tp_smapi/repos/community-x86_64/tp_smapi.install
    (from rev 123133, tp_smapi/repos/community-testing-x86_64/tp_smapi.install)
Deleted:
  tp_smapi/repos/community-i686/PKGBUILD
  tp_smapi/repos/community-i686/tp_smapi.install
  tp_smapi/repos/community-testing-i686/
  tp_smapi/repos/community-testing-x86_64/
  tp_smapi/repos/community-x86_64/PKGBUILD
  tp_smapi/repos/community-x86_64/tp_smapi.install

-----------------------------------+
 /PKGBUILD                         |  118 ++++++++++++++++++++++++++++++++++++
 /tp_smapi.install                 |   26 +++++++
 community-i686/PKGBUILD           |   59 ------------------
 community-i686/tp_smapi.install   |   13 ---
 community-x86_64/PKGBUILD         |   59 ------------------
 community-x86_64/tp_smapi.install |   13 ---
 6 files changed, 144 insertions(+), 144 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2014-11-26 13:38:32 UTC (rev 123137)
+++ community-i686/PKGBUILD	2014-11-26 13:38:34 UTC (rev 123138)
@@ -1,59 +0,0 @@
-# $Id$
-# Maintainer: Lukas Fleischer <archlinux at cryptocrack dot de>
-# Contributor: xduugu
-# Contributor: nh2
-# Contributor: Steven Davidovitz <steviedizzle ð gmail đ com>
-# Contributor: Nick B <Shirakawasuna ð gmail đ com>
-# Contributor: Christof Musik <christof ð senfdax đ de>
-# Contributor: Stefan Rupp <archlinux ð stefanrupp đ de>
-# Contributor: Ignas Anikevicius <anikevicius ð gmail đ com>
-
-pkgname=tp_smapi
-pkgver=0.41
-pkgrel=55
-pkgdesc="Modules for ThinkPad's SMAPI functionality"
-arch=('i686' 'x86_64')
-url='https://github.com/evgeni/tp_smapi'
-license=('GPL')
-depends=('linux>=3.17' 'linux<3.18')
-makedepends=('linux-headers>=3.17' 'linux-headers<3.18')
-install="${pkgname}.install"
-source=("https://github.com/downloads/evgeni/${pkgname}/${pkgname}-${pkgver}.tar.gz")
-md5sums=('63c683415c764568f6bf17c7eabe4752')
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  _kernver=${_kernver:-$(uname -r)}
-  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
-  _kernver=$(< "${_extramodules}/version")
-
-  sed -ri -e "s/^(KVER\s*:=).*$/\1 ${_kernver}/" \
-	  -e "s#^(KBASE\s*:=).*\$#\1 ${_extramodules%/*}/${_kernver}#" Makefile
-
-  make HDAPS=1
-}
-
-package() {
-  _kernver=${_kernver:-$(uname -r)}
-  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
-  _kernver=$(< "${_extramodules}/version")
-
-  make -C "${_extramodules%/*}/${_kernver}/build" \
-    INSTALL_MOD_PATH="${pkgdir}/${_extramodules%%/lib/*}" \
-    M="${srcdir}/${pkgname}-${pkgver}" modules_install
-
-  cd "${pkgdir}/${_extramodules%/*}"
-  mv "${_kernver}/extra" "${_extramodules##*/}"
-  rmdir "${_kernver}"
-
-  # compress kernel modules
-  find "${pkgdir}" -name "*.ko" -exec gzip -9 {} +
-
-  # load module on startup
-  echo tp_smapi > "${srcdir}/${pkgname}.conf"
-  install -Dm644 "${srcdir}/${pkgname}.conf" "${pkgdir}/usr/lib/modules-load.d/${pkgname}.conf"
-
-  # update kernel version in install file
-  sed -ri "s#^(extramodules=).*\$#\1${_extramodules}#" "${startdir}/${pkgname}.install"
-}

Copied: tp_smapi/repos/community-i686/PKGBUILD (from rev 123133, tp_smapi/repos/community-testing-i686/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2014-11-26 13:38:34 UTC (rev 123138)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Lukas Fleischer <archlinux at cryptocrack dot de>
+# Contributor: xduugu
+# Contributor: nh2
+# Contributor: Steven Davidovitz <steviedizzle ð gmail đ com>
+# Contributor: Nick B <Shirakawasuna ð gmail đ com>
+# Contributor: Christof Musik <christof ð senfdax đ de>
+# Contributor: Stefan Rupp <archlinux ð stefanrupp đ de>
+# Contributor: Ignas Anikevicius <anikevicius ð gmail đ com>
+
+pkgname=tp_smapi
+pkgver=0.41
+pkgrel=56
+pkgdesc="Modules for ThinkPad's SMAPI functionality"
+arch=('i686' 'x86_64')
+url='https://github.com/evgeni/tp_smapi'
+license=('GPL')
+depends=('linux>=3.17' 'linux<3.18')
+makedepends=('linux-headers>=3.17' 'linux-headers<3.18')
+install="${pkgname}.install"
+source=("https://github.com/downloads/evgeni/${pkgname}/${pkgname}-${pkgver}.tar.gz")
+md5sums=('63c683415c764568f6bf17c7eabe4752')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  _kernver=${_kernver:-$(uname -r)}
+  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
+  _kernver=$(< "${_extramodules}/version")
+
+  sed -ri -e "s/^(KVER\s*:=).*$/\1 ${_kernver}/" \
+	  -e "s#^(KBASE\s*:=).*\$#\1 ${_extramodules%/*}/${_kernver}#" Makefile
+
+  make HDAPS=1
+}
+
+package() {
+  _kernver=${_kernver:-$(uname -r)}
+  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
+  _kernver=$(< "${_extramodules}/version")
+
+  make -C "${_extramodules%/*}/${_kernver}/build" \
+    INSTALL_MOD_PATH="${pkgdir}/${_extramodules%%/lib/*}" \
+    M="${srcdir}/${pkgname}-${pkgver}" modules_install
+
+  cd "${pkgdir}/${_extramodules%/*}"
+  mv "${_kernver}/extra" "${_extramodules##*/}"
+  rmdir "${_kernver}"
+
+  # compress kernel modules
+  find "${pkgdir}" -name "*.ko" -exec gzip -9 {} +
+
+  # load module on startup
+  echo tp_smapi > "${srcdir}/${pkgname}.conf"
+  install -Dm644 "${srcdir}/${pkgname}.conf" "${pkgdir}/usr/lib/modules-load.d/${pkgname}.conf"
+
+  # update kernel version in install file
+  sed -ri "s#^(extramodules=).*\$#\1${_extramodules}#" "${startdir}/${pkgname}.install"
+}

Deleted: community-i686/tp_smapi.install
===================================================================
--- community-i686/tp_smapi.install	2014-11-26 13:38:32 UTC (rev 123137)
+++ community-i686/tp_smapi.install	2014-11-26 13:38:34 UTC (rev 123138)
@@ -1,13 +0,0 @@
-extramodules=/usr/lib/modules/extramodules-3.15-ARCH
-
-post_install() {
-  depmod -v $(< "$extramodules/version") &>/dev/null
-}
-
-post_upgrade() {
-	post_install
-}
-
-post_remove() {
-	post_install
-}

Copied: tp_smapi/repos/community-i686/tp_smapi.install (from rev 123133, tp_smapi/repos/community-testing-i686/tp_smapi.install)
===================================================================
--- community-i686/tp_smapi.install	                        (rev 0)
+++ community-i686/tp_smapi.install	2014-11-26 13:38:34 UTC (rev 123138)
@@ -0,0 +1,13 @@
+extramodules=/usr/lib/modules/extramodules-3.15-ARCH
+
+post_install() {
+  depmod -v $(< "$extramodules/version") &>/dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2014-11-26 13:38:32 UTC (rev 123137)
+++ community-x86_64/PKGBUILD	2014-11-26 13:38:34 UTC (rev 123138)
@@ -1,59 +0,0 @@
-# $Id$
-# Maintainer: Lukas Fleischer <archlinux at cryptocrack dot de>
-# Contributor: xduugu
-# Contributor: nh2
-# Contributor: Steven Davidovitz <steviedizzle ð gmail đ com>
-# Contributor: Nick B <Shirakawasuna ð gmail đ com>
-# Contributor: Christof Musik <christof ð senfdax đ de>
-# Contributor: Stefan Rupp <archlinux ð stefanrupp đ de>
-# Contributor: Ignas Anikevicius <anikevicius ð gmail đ com>
-
-pkgname=tp_smapi
-pkgver=0.41
-pkgrel=55
-pkgdesc="Modules for ThinkPad's SMAPI functionality"
-arch=('i686' 'x86_64')
-url='https://github.com/evgeni/tp_smapi'
-license=('GPL')
-depends=('linux>=3.17' 'linux<3.18')
-makedepends=('linux-headers>=3.17' 'linux-headers<3.18')
-install="${pkgname}.install"
-source=("https://github.com/downloads/evgeni/${pkgname}/${pkgname}-${pkgver}.tar.gz")
-md5sums=('63c683415c764568f6bf17c7eabe4752')
-
-build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
-
-  _kernver=${_kernver:-$(uname -r)}
-  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
-  _kernver=$(< "${_extramodules}/version")
-
-  sed -ri -e "s/^(KVER\s*:=).*$/\1 ${_kernver}/" \
-	  -e "s#^(KBASE\s*:=).*\$#\1 ${_extramodules%/*}/${_kernver}#" Makefile
-
-  make HDAPS=1
-}
-
-package() {
-  _kernver=${_kernver:-$(uname -r)}
-  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
-  _kernver=$(< "${_extramodules}/version")
-
-  make -C "${_extramodules%/*}/${_kernver}/build" \
-    INSTALL_MOD_PATH="${pkgdir}/${_extramodules%%/lib/*}" \
-    M="${srcdir}/${pkgname}-${pkgver}" modules_install
-
-  cd "${pkgdir}/${_extramodules%/*}"
-  mv "${_kernver}/extra" "${_extramodules##*/}"
-  rmdir "${_kernver}"
-
-  # compress kernel modules
-  find "${pkgdir}" -name "*.ko" -exec gzip -9 {} +
-
-  # load module on startup
-  echo tp_smapi > "${srcdir}/${pkgname}.conf"
-  install -Dm644 "${srcdir}/${pkgname}.conf" "${pkgdir}/usr/lib/modules-load.d/${pkgname}.conf"
-
-  # update kernel version in install file
-  sed -ri "s#^(extramodules=).*\$#\1${_extramodules}#" "${startdir}/${pkgname}.install"
-}

Copied: tp_smapi/repos/community-x86_64/PKGBUILD (from rev 123133, tp_smapi/repos/community-testing-x86_64/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2014-11-26 13:38:34 UTC (rev 123138)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Lukas Fleischer <archlinux at cryptocrack dot de>
+# Contributor: xduugu
+# Contributor: nh2
+# Contributor: Steven Davidovitz <steviedizzle ð gmail đ com>
+# Contributor: Nick B <Shirakawasuna ð gmail đ com>
+# Contributor: Christof Musik <christof ð senfdax đ de>
+# Contributor: Stefan Rupp <archlinux ð stefanrupp đ de>
+# Contributor: Ignas Anikevicius <anikevicius ð gmail đ com>
+
+pkgname=tp_smapi
+pkgver=0.41
+pkgrel=56
+pkgdesc="Modules for ThinkPad's SMAPI functionality"
+arch=('i686' 'x86_64')
+url='https://github.com/evgeni/tp_smapi'
+license=('GPL')
+depends=('linux>=3.17' 'linux<3.18')
+makedepends=('linux-headers>=3.17' 'linux-headers<3.18')
+install="${pkgname}.install"
+source=("https://github.com/downloads/evgeni/${pkgname}/${pkgname}-${pkgver}.tar.gz")
+md5sums=('63c683415c764568f6bf17c7eabe4752')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  _kernver=${_kernver:-$(uname -r)}
+  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
+  _kernver=$(< "${_extramodules}/version")
+
+  sed -ri -e "s/^(KVER\s*:=).*$/\1 ${_kernver}/" \
+	  -e "s#^(KBASE\s*:=).*\$#\1 ${_extramodules%/*}/${_kernver}#" Makefile
+
+  make HDAPS=1
+}
+
+package() {
+  _kernver=${_kernver:-$(uname -r)}
+  _extramodules=$(readlink -f "/usr/lib/modules/${_kernver}/extramodules" || true)
+  _kernver=$(< "${_extramodules}/version")
+
+  make -C "${_extramodules%/*}/${_kernver}/build" \
+    INSTALL_MOD_PATH="${pkgdir}/${_extramodules%%/lib/*}" \
+    M="${srcdir}/${pkgname}-${pkgver}" modules_install
+
+  cd "${pkgdir}/${_extramodules%/*}"
+  mv "${_kernver}/extra" "${_extramodules##*/}"
+  rmdir "${_kernver}"
+
+  # compress kernel modules
+  find "${pkgdir}" -name "*.ko" -exec gzip -9 {} +
+
+  # load module on startup
+  echo tp_smapi > "${srcdir}/${pkgname}.conf"
+  install -Dm644 "${srcdir}/${pkgname}.conf" "${pkgdir}/usr/lib/modules-load.d/${pkgname}.conf"
+
+  # update kernel version in install file
+  sed -ri "s#^(extramodules=).*\$#\1${_extramodules}#" "${startdir}/${pkgname}.install"
+}

Deleted: community-x86_64/tp_smapi.install
===================================================================
--- community-x86_64/tp_smapi.install	2014-11-26 13:38:32 UTC (rev 123137)
+++ community-x86_64/tp_smapi.install	2014-11-26 13:38:34 UTC (rev 123138)
@@ -1,13 +0,0 @@
-extramodules=/usr/lib/modules/extramodules-3.15-ARCH
-
-post_install() {
-  depmod -v $(< "$extramodules/version") &>/dev/null
-}
-
-post_upgrade() {
-	post_install
-}
-
-post_remove() {
-	post_install
-}

Copied: tp_smapi/repos/community-x86_64/tp_smapi.install (from rev 123133, tp_smapi/repos/community-testing-x86_64/tp_smapi.install)
===================================================================
--- community-x86_64/tp_smapi.install	                        (rev 0)
+++ community-x86_64/tp_smapi.install	2014-11-26 13:38:34 UTC (rev 123138)
@@ -0,0 +1,13 @@
+extramodules=/usr/lib/modules/extramodules-3.15-ARCH
+
+post_install() {
+  depmod -v $(< "$extramodules/version") &>/dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}


More information about the arch-commits mailing list